Subject: Re: bug#29347: 27.0.50; C-g doesn't quit minibuffer

From: Richard Stallman <[email-masked]>
Date: Sat, 18 Nov 2017 22:21:23 -0500

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > > Moreover, when I keep typing C-g, eventually Emacs gets hung.  I can
  > > get it unhung by sending it SIGTSTP using another terminal.

  > Is this in a GUI frame or a TTY frame?  If the latter, I cannot
  > reproduce that.  (I have no access to a GUI Emacs built from the
  > master branch on GNU/Linux.)

It is from a tty.

I just tried to make this fail starting from emacs -Q
and couldn't do so.  The initial C-g failure, not quitting out
of the minibuffer, doesn't happen right after startup.

However, once C-g fails to quit, it continues failing reliably.
And it fails regardless of the purpose of the minibuffer.

I learned not to type C-g to get out of a minibuffer.
First I tried giving operands that would be meaningless.
Then I thought of using C-].

As a result of this change in my usage, it does not get hung.
But the bug is still there.

If I can make it fail again, I will send a backtrace.

ISTR that at least once Emacs was in a state where C-g did not turn
off region highlighting.  I suspect that is the same bug, appearing
in a different way.

-- 
Dr Richard Stallman
President, Free Software Foundation (https://gnu.org, https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)
Skype: No way! See https://stallman.org/skype.html.